# Generated by Django 5.0.7 on 2024-10-02 10:56

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0288_alter_districtarticlepage_content_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtpeoplepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "octopus_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "slug",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky vyplněno",
                                        label="Slug bloku",
                                        required=False,
                                    ),
                                ),
                                (
                                    "group_shortcut",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. cen_to_ved",
                                        label="Zkratka skupiny",
                                        required=True,
                                    ),
                                ),
                            ],
                            label="Skupina z Chobotnice",
                        ),
                    ),
                    (
                        "octopus_team",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "slug",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky vyplněno",
                                        label="Slug bloku",
                                        required=False,
                                    ),
                                ),
                                (
                                    "team_shortcut",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. TO-Admin",
                                        label="Zkratka týmu",
                                        required=True,
                                    ),
                                ),
                            ],
                            label="Tým z Chobotnice",
                        ),
                    ),
                    (
                        "people_group",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Titulek")),
                                (
                                    "slug",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky vyplněno",
                                        label="Slug skupiny",
                                        required=False,
                                    ),
                                ),
                                (
                                    "person_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Detail osoby",
                                            page_type=[
                                                "district.DistrictPersonPage",
                                                "district.DistrictOctopusPersonPage",
                                            ],
                                        ),
                                        default=[],
                                        help_text="S pozicemi z jejich podstránek",
                                        label="Osoby",
                                    ),
                                ),
                                (
                                    "person_list_with_custom_positions",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Detail osoby",
                                                        page_type=[
                                                            "district.DistrictOctopusPersonPage",
                                                            "district.DistrictPersonPage",
                                                        ],
                                                    ),
                                                ),
                                                (
                                                    "position",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Pokud není pozice vyplněná, použije se pozice ze stránky osoby.",
                                                        label="Pozice",
                                                        required=False,
                                                    ),
                                                ),
                                            ]
                                        ),
                                        default=[],
                                        help_text="S nastavitelnými pozicemi",
                                        label="Osoby",
                                    ),
                                ),
                            ],
                            group="",
                            label="Seznam osob",
                        ),
                    ),
                    (
                        "team_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(label="Název sekce týmů"),
                                ),
                                (
                                    "slug",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky vyplněno",
                                        label="Slug sekce",
                                        required=False,
                                    ),
                                ),
                                (
                                    "team_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "headline",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek bloku",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "card_items",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek"
                                                                    ),
                                                                ),
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "text",
                                                                    wagtail.blocks.RichTextBlock(
                                                                        label="Krátký text pod nadpisem",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        page_type=[
                                                                            "district.DistrictArticlesPage",
                                                                            "district.DistrictCenterPage",
                                                                            "district.DistrictContactPage",
                                                                            "district.DistrictCrossroadPage",
                                                                            "district.DistrictCustomPage",
                                                                            "district.DistrictPeoplePage",
                                                                            "district.DistrictGeoFeatureCollectionPage",
                                                                            "district.DistrictCalendarPage",
                                                                            "district.DistrictPdfPage",
                                                                            "district.DistrictNewProgramPage",
                                                                        ],
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ],
                                                            template="styleguide2/includes/molecules/boxes/card_box_block.html",
                                                        ),
                                                        label="Karty s odkazy",
                                                    ),
                                                ),
                                            ],
                                            label="Karta týmu",
                                        ),
                                        label="Týmy",
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Lidé a týmy",
            ),
        ),
    ]
