# Generated by Django 4.0.7 on 2022-12-18 18:48

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailcore", "0069_log_entry_jsonfield"),
        ("wagtailimages", "0024_index_image_file_hash"),
        (
            "main",
            "0035_rename_contact_newcomers_mainhomepage_contact_newcomers_link_and_more",
        ),
    ]

    operations = [
        migrations.CreateModel(
            name="MainCrossroadPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "headlined_cards_content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "headlined_cards",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "headline",
                                            wagtail.blocks.CharBlock(
                                                label="Titulek bloku", required=False
                                            ),
                                        ),
                                        (
                                            "card_items",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek"
                                                            ),
                                                        ),
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "text",
                                                            wagtail.blocks.RichTextBlock(
                                                                label="Krátký text pod nadpisem",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                page_type=[
                                                                    "main.MainArticlesPage",
                                                                    "main.MainProgramPage",
                                                                    "main.MainPeoplePage",
                                                                    "main.MainPersonPage",
                                                                    "main.MainSimplePage",
                                                                    "main.MainContactPage",
                                                                    "main.MainCrossroadPage",
                                                                ],
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                                label="Karty odkazu",
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        use_json_field=None,
                        verbose_name="Karty rozcestníku s nadpisem",
                    ),
                ),
                (
                    "cards_content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "cards",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "image",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="Obrázek"
                                            ),
                                        ),
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(
                                                label="Titulek", required=True
                                            ),
                                        ),
                                        (
                                            "text",
                                            wagtail.blocks.RichTextBlock(
                                                label="Krátký text pod nadpisem",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "page",
                                            wagtail.blocks.PageChooserBlock(
                                                label="Stránka",
                                                page_type=[
                                                    "main.MainArticlesPage",
                                                    "main.MainProgramPage",
                                                    "main.MainPeoplePage",
                                                    "main.MainPersonPage",
                                                    "main.MainSimplePage",
                                                    "main.MainContactPage",
                                                    "main.MainCrossroadPage",
                                                ],
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "link",
                                            wagtail.blocks.URLBlock(
                                                label="Odkaz", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        use_json_field=None,
                        verbose_name="Karty rozcestníku",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Rozcestník s kartami",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
