# Generated by Django 5.0.7 on 2025-03-11 19:34

import wagtail.fields
from django.db import migrations

import shared.blocks.children.misc


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0147_alter_mainhomepage_content"),
    ]

    operations = [
        migrations.AlterField(
            model_name="mainhomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    ("carousel", 11),
                    ("news", 14),
                    ("people", 18),
                    ("regions", 20),
                    ("boxes", 28),
                ],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {"label": "Desktop první řádek", "required": False},
                    ),
                    1: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {"label": "Desktop druhý řádek", "required": False},
                    ),
                    2: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {"label": "První mobilní řádek", "required": False},
                    ),
                    3: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {"label": "Druhý mobilní řádek", "required": False},
                    ),
                    4: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {"label": "Třetí mobilní řádek", "required": False},
                    ),
                    5: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "label": "Obrázek nahrazující animaci (desktop)",
                            "required": False,
                        },
                    ),
                    6: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "label": "Obrázek nahrazující animaci (mobil / tablet)",
                            "required": False,
                        },
                    ),
                    7: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {"label": "Odkaz na desktop video", "required": False},
                    ),
                    8: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {"label": "Odkaz na mobilní video", "required": False},
                    ),
                    9: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Bez odkazu tlačítko nebude viditelné.",
                            "label": "Odkaz tlačítka",
                            "required": False,
                        },
                    ),
                    10: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Odkaz funguje i bez tlačítka. Pokud chceš tlačítko skrýt, nevyplňuj text.",
                            "label": "Text tlačítka",
                            "required": False,
                        },
                    ),
                    11: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("desktop_line_1", 0),
                                ("desktop_line_2", 1),
                                ("mobile_line_1", 2),
                                ("mobile_line_2", 3),
                                ("mobile_line_3", 4),
                                ("desktop_image", 5),
                                ("mobile_image", 6),
                                ("desktop_video_url", 7),
                                ("mobile_video_url", 8),
                                ("button_url", 9),
                                ("button_text", 10),
                            ]
                        ],
                        {},
                    ),
                    12: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Nejnovější články se načtou automaticky",
                            "label": "Titulek",
                        },
                    ),
                    13: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {"label": "Popis", "required": False},
                    ),
                    14: (
                        "wagtail.blocks.StructBlock",
                        [[("title", 12), ("description", 13)]],
                        {
                            "template": "styleguide2/includes/organisms/articles/articles_section.html"
                        },
                    ),
                    15: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "První řádek titulku"},
                    ),
                    16: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Druhý řádek titulku", "required": False},
                    ),
                    17: (
                        "wagtail.blocks.ListBlock",
                        (shared.blocks.children.misc.PersonBoxBlock,),
                        {"label": "Boxíky"},
                    ),
                    18: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title_line_1", 15),
                                ("title_line_2", 16),
                                ("description", 13),
                                ("list", 17),
                            ]
                        ],
                        {},
                    ),
                    19: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Články pro regiony se načtou automaticky",
                            "label": "Titulek",
                        },
                    ),
                    20: ("wagtail.blocks.StructBlock", [[("title", 19)]], {}),
                    21: ("wagtail.blocks.CharBlock", (), {"label": "Nadpis"}),
                    22: ("wagtail.blocks.URLBlock", (), {"label": "Odkaz tlačítka"}),
                    23: ("wagtail.blocks.CharBlock", (), {"label": "Text tlačítka"}),
                    24: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Logo/obrázek"},
                    ),
                    25: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("button_link", 22),
                                ("button_text", 23),
                                ("title", 21),
                                ("image", 24),
                            ]
                        ],
                        {},
                    ),
                    26: ("wagtail.blocks.ListBlock", (25,), {"label": "Boxíky"}),
                    27: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Obrázek pozadí", "required": False},
                    ),
                    28: (
                        "wagtail.blocks.StructBlock",
                        [[("title", 21), ("list", 26), ("image", 27)]],
                        {},
                    ),
                },
                verbose_name="Hlavní obsah",
            ),
        ),
    ]
