# Generated by Django 3.1.1 on 2020-09-08 21:05

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
import wagtailmetadata.models
from django.db import migrations, models

import uniweb.models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("wagtailcore", "0052_pagelogentry"),
        ("wagtailimages", "0022_uploadedimage"),
    ]

    operations = [
        migrations.CreateModel(
            name="UniwebHomePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "text_section",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(
                                                label="nadpis", required=False
                                            ),
                                        ),
                                        (
                                            "text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "blockquote",
                                                ],
                                                label="text",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "gallery_section",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(
                                                label="nadpis", required=False
                                            ),
                                        ),
                                        (
                                            "images",
                                            wagtail.blocks.ListBlock(
                                                wagtail.images.blocks.ImageChooserBlock(
                                                    label="obrázek"
                                                )
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                        verbose_name="obsah stránky",
                    ),
                ),
                (
                    "matomo_id",
                    models.IntegerField(
                        blank=True,
                        null=True,
                        verbose_name="Matomo ID pro sledování návštěvnosti",
                    ),
                ),
                (
                    "top_menu",
                    wagtail.fields.StreamField(
                        [
                            (
                                "item",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "name",
                                            wagtail.blocks.CharBlock(label="název"),
                                        ),
                                        (
                                            "page",
                                            wagtail.blocks.PageChooserBlock(
                                                label="stránka"
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="horní menu",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Univerzální web",
            },
            bases=(
                wagtailmetadata.models.MetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="UniwebFlexiblePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "text_section",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(
                                                label="nadpis", required=False
                                            ),
                                        ),
                                        (
                                            "text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "blockquote",
                                                ],
                                                label="text",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "gallery_section",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(
                                                label="nadpis", required=False
                                            ),
                                        ),
                                        (
                                            "images",
                                            wagtail.blocks.ListBlock(
                                                wagtail.images.blocks.ImageChooserBlock(
                                                    label="obrázek"
                                                )
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                        verbose_name="obsah stránky",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Flexibilní stránka",
            },
            bases=(
                "wagtailcore.page",
                uniweb.models.SubpageMixin,
                wagtailmetadata.models.MetadataMixin,
                models.Model,
            ),
        ),
    ]
